## ViewerSpec

GLViewer input specification

View Source GLViewer.ts, line 6021

# Members

Type: `boolean`

#### # antialias Optional

View Source GLViewer.ts, line 6116

Type: `number`

#### # backgroundAlpha Optional

Alpha transparency of canvas background

View Source GLViewer.ts, line 6051

Type: `string`

#### # backgroundColor Optional

Color of the canvas background

View Source GLViewer.ts, line 6046

Type: `function`

#### # callback Optional

Callback function to be executed with this viewer after setup is complete

View Source GLViewer.ts, line 6025

Type: `number`

#### # camerax Optional

View Source GLViewer.ts, line 6056

Type: `HTMLCanvasElement`

#### # canvas Optional

View Source GLViewer.ts, line 6096

Type: `number`

#### # cartoonQuality Optional

default 5

View Source GLViewer.ts, line 6071

Type: `number`

#### # col Optional

View Source GLViewer.ts, line 6081

Type: `number`

#### # cols Optional

View Source GLViewer.ts, line 6091

Type: `boolean`

#### # control_all Optional

View Source GLViewer.ts, line 6121

Type: `Record.<string, string>`

#### # defaultcolors Optional

Object defining default atom colors as atom => color property value pairs for all models within this viewer

View Source GLViewer.ts, line 6030

Type: `boolean`

#### # disableFog Optional

Disable fog, default to false

View Source GLViewer.ts, line 6131

Type: `number`

#### # hoverDuration Optional

View Source GLViewer.ts, line 6061

Type: `string`

#### # id Optional

id of the canvas

View Source GLViewer.ts, line 6066

Type: `number`

#### # lowerZoomLimit Optional

View Source GLViewer.ts, line 6106

Type: `number`

#### # minimumZoomToDistance Optional

View Source GLViewer.ts, line 6101

Type: `boolean` | `string`

#### # nomouse Optional

Whether to disable disable handling of mouse events.
If you want to use your own mouse handlers, set this then bind your handlers to the canvas object.
The default 3Dmol.js handlers are available for use:
'mousedown touchstart': viewer._handleMouseDown,
'DOMMouseScroll mousewheel': viewer._handleMouseScroll
'mousemove touchmove': viewer._handleMouseMove

View Source GLViewer.ts, line 6035

Type: `boolean`

#### # orthographic Optional

View Source GLViewer.ts, line 6126

Type: `number`

#### # row Optional

View Source GLViewer.ts, line 6076

Type: `number`

#### # rows Optional

View Source GLViewer.ts, line 6086

Type: `number`

#### # upperZoomLimit Optional

View Source GLViewer.ts, line 6111